Bug 459556 - [TAHI] no echo reply for loopback address
[TAHI] no echo reply for loopback address
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 23:12 EDT by wang jiabo
Modified: 2009-01-20 15:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:18:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of upstream commit f630e43a215a3129d0c1173cae0bce6ea4855cf7 (1.30 KB, patch)
2008-08-26 12:13 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description wang jiabo 2008-08-19 23:12:13 EDT
Description of problem:
when TN(testing computer) send a loopback echo request to NUT(RHEL5.2), NUT sent a echo reply of loopback, but NUT should not send a echo reply for loopback address in RFC4291 2.5.3 section.

when I update the kernel to 2.6.26 that geting from www.kernel.org, the problem will be disappeared
and tahi tell me reference source linus tree: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f630e43a215a3129d0c1173cae0bce6ea4855cf7 

Version-Release number of selected component (if applicable):
kernel 2.6.18-92.el5

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
RHEL5.2 get the echo reply for loopback address

Expected results:
RHEL5.2 do not get echo reply for loopback address

Additional info:
failure message:
 03:45:58.605302 IP6 fe80::200:ff:fe00:100 > localhost6.localdomain6:
> >>>>>> ICMP6, echo request, seq 0, length 14
> >>>>>> 03:45:58.605349 IP6 localhost6.localdomain6 > fe80::200:ff:fe00:100:
> >>>>>> ICMP6, echo reply, seq 0, length 14
Pass message:
04:30:19.903842 IP6 fe80::200:ff:fe00:100 > localhost6.localdomain6:
> >>>>>> ICMP6, echo request, seq 0, length 14
> >>>>>> 04:30:25.115860 IP6 fe80::200:ff:fe00:100 > ff02::1: ICMP6, neighbor
> >>>>>> advertisement, tgt is fe80::200:ff:fe00:100, length 32
Comment 3 Neil Horman 2008-08-26 12:13:47 EDT
Created attachment 315012 [details]
backport of upstream commit f630e43a215a3129d0c1173cae0bce6ea4855cf7

Backport of the referenced patch
Comment 4 Lawrence Lim 2008-08-26 13:07:29 EDT
Thanks Neil for the quick turnaround. If you have a test build available, please let us know and we would test it for you.
Comment 5 Neil Horman 2008-08-26 13:24:17 EDT
No problem.  Test packages for x86_64 are building in brew right now (task id 1440064).  Sorry I don't have more arches but brew is really backed up right now.  Anywho, why don't you test that when its done and as soon as you give your thumbs up on it, I'll go ahead and post it.  Thanks!
Comment 6 wang jiabo 2008-08-26 23:36:46 EDT
the failure case have been passed  in patched kernel 2.6.18-105.el5.bz459556.x86_64
Thank you very much!
Comment 7 Lawrence Lim 2008-08-26 23:52:05 EDT
Executing the whole test suite at the moment to check for regression. Will update the bug when its completed.
Comment 8 wang jiabo 2008-08-28 03:58:50 EDT
executing the whole test suite , the failure have been patched
Thanks
Comment 10 Don Zickus 2008-09-05 16:06:48 EDT
in kernel-2.6.18-108.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 Lawrence Lim 2008-09-08 10:02:23 EDT
Confirmed fixed. Thanks.
Comment 12 wang jiabo 2008-09-08 10:21:59 EDT
sorry, I made mistake, I test the whole cases for the kernel 2.6.18-107.el5 , the kernel did not fix the bug 459556.
please check
Comment 13 wang jiabo 2008-09-08 10:32:40 EDT
sorry, it is no kernel-2.6.18-108.el5 in link of the comment #10
only kernel 2.6.18-107.el5, I use the kernel, didnot pass
Comment 14 Neil Horman 2008-09-08 10:53:39 EDT
I don't understand.  Did you test the wrong kernel, or did this testcase not pass with kernel -108.  Clarify  please
Comment 15 Lawrence Lim 2008-09-08 11:09:55 EDT
RE: Comment #14
If you follow the link provided by Don in Comment #10, -108 version of the kernel does not exist. Rather, there's a -107 version which jiabwang used and did not pass the test case.
 
<http://people.redhat.com/dzickus/el5/107.el5/>
Comment 19 errata-xmlrpc 2009-01-20 15:18:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.